Bug 440178 - fpki1.0 pkicreate - Some detected jars were not found for this jvm
fpki1.0 pkicreate - Some detected jars were not found for this jvm
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: Installer (pkicreate/pkiremove) (Show other bugs)
1.0
All Linux
low Severity low
: 1.0
: ---
Assigned To: Matthew Harmsen
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2008-04-01 22:54 EDT by Marc Sauton
Modified: 2015-01-05 20:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:28:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Sauton 2008-04-01 22:54:21 EDT
Description of problem:

error on pkicreate

Version-Release number of selected component (if applicable):

fpki 1.0
Fedora 8 32bits

How reproducible:

uname -a
Linux <some-host> 2.6.23.1-42.fc8 #1 SMP Tue Oct 30 13:55:12 EDT 2007 i686 i686
i386 GNU/Linux

cat /etc/fedora-release 
Fedora release 8 (Werewolf)

file /bin/ls
/bin/ls: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), dynamically
linked (uses shared libs), for GNU/Linux 2.6.9, stripped


alternatives --config java

There are 2 programs which provide 'java'.

  Selection    Command
-----------------------------------------------
   1           /usr/lib/jvm/jre-1.5.0-gcj/bin/java
*+ 2           /usr/lib/jvm/jre-1.7.0-icedtea/bin/java

Enter to keep the current selection[+], or type selection number: 


rpm -qa|grep pki-
pki-native-tools-1.0.0-1.fc8
pki-java-tools-1.0.0-1.fc8
pki-common-ui-1.0.0-1.fc8
pki-console-1.0.0-1.fc8
pki-util-javadoc-1.0.0-1.fc8
pki-ocsp-ui-1.0.0-1.fc8
pki-ra-ui-1.0.0-1.fc8
pki-ra-1.0.0-1.fc8
pki-tps-1.0.0-1.fc8
pki-setup-1.0.0-1.fc8
pki-util-1.0.0-1.fc8
pki-common-javadoc-1.0.0-1.fc8
pki-java-tools-javadoc-1.0.0-1.fc8
pki-manage-1.0.0-1.fc8
pki-migrate-1.0.0-1.fc8
pki-kra-1.0.0-1.fc8
pki-tks-ui-1.0.0-1.fc8
pki-tps-ui-1.0.0-1.fc8
pki-ca-ui-1.0.0-1.fc8
pki-common-1.0.0-1.fc8
pki-console-ui-1.0.0-1.fc8
pki-silent-1.0.0-1.fc8
pki-kra-ui-1.0.0-1.fc8
pki-ocsp-1.0.0-1.fc8
pki-tks-1.0.0-1.fc8
pki-ca-1.0.0-1.fc8


Steps to Reproduce:
1.
2.
3.
  
Actual results:



pkicreate -pki_instance_root=/var/lib -pki_instance_name=pki-ca1
-subsystem_type=ca -secure_port=9443 -unsecure_port=9180
-tomcat_server_port=1801 -user=pkiuser -group=pkiuser -verbose
PKI instance creation Utility ...

[2008-04-01 19:37:37] [debug] Capturing installation information in
/var/log/pki-ca1-install.log.
[2008-04-01 19:37:37] [debug] Parsing PKI creation arguments ...
[2008-04-01 19:37:37] [debug]     verbose mode is ENABLED
[2008-04-01 19:37:37] [debug]     pki_instance_root   /var/lib
[2008-04-01 19:37:37] [debug]     pki_instance_name   pki-ca1
[2008-04-01 19:37:37] [debug]     subsystem_type      ca
[2008-04-01 19:37:37] [debug]     secure_port         9443
[2008-04-01 19:37:37] [debug]     unsecure_port       9180
[2008-04-01 19:37:37] [debug]     tomcat_server_port  1801
[2008-04-01 19:37:37] [debug] Installing PKI instance ...
[2008-04-01 19:37:37] [debug] Processing PKI directories for '/var/lib/pki-ca1' ...
[2008-04-01 19:37:37] [debug] Processing PKI templates for '/var/lib/pki-ca1' ...
[2008-04-01 19:37:37] [debug]     Converting '/usr/share/pki/ca/conf/CS.cfg' ==>
'/var/lib/pki-ca1/conf/CS.cfg' ...
[2008-04-01 19:37:37] [debug]         replacing: PKI_SERVER_XML_CONF with:
/var/lib/pki-ca1/conf/server.xml
[2008-04-01 19:37:37] [debug]         replacing: TOMCAT_SERVER_PORT with: 1801
[2008-04-01 19:37:37] [debug]         replacing: PKI_RANDOM_NUMBER with: xxx
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_ROOT with: /var/lib
[2008-04-01 19:37:37] [debug]         replacing: PKI_SECURE_PORT with: 9443
[2008-04-01 19:37:37] [debug]         replacing: PKI_CFG_PATH_NAME with:
/var/lib/pki-ca1/conf/CS.cfg
[2008-04-01 19:37:37] [debug]         replacing: PKI_SUBSYSTEM_TYPE with: ca
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_ID with: pki-ca1
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_PATH with:
/var/lib/pki-ca1
[2008-04-01 19:37:37] [debug]         replacing: PKI_USER with: pkiuser
[2008-04-01 19:37:37] [debug]         replacing: PKI_MACHINE_NAME with: <some-host>
[2008-04-01 19:37:37] [debug]         replacing: PKI_FLAVOR with: pki
[2008-04-01 19:37:37] [debug]         replacing: PKI_UNSECURE_PORT with: 9180
[2008-04-01 19:37:37] [debug]         replacing: PKI_CERT_DB_PASSWORD with: xxx
[2008-04-01 19:37:37] [debug]         replacing: INSTALL_TIME with: Tue Apr  1
19:37:37 2008
[2008-04-01 19:37:37] [debug]         replacing: PKI_GROUP with: pkiuser
[2008-04-01 19:37:37] [debug]     Converting
'/usr/share/pki/ca/etc/init.d/httpd' ==> '/etc/init.d/pki-ca1' ...
[2008-04-01 19:37:37] [debug]         replacing: PKI_SERVER_XML_CONF with:
/var/lib/pki-ca1/conf/server.xml
[2008-04-01 19:37:37] [debug]         replacing: TOMCAT_SERVER_PORT with: 1801
[2008-04-01 19:37:37] [debug]         replacing: PKI_RANDOM_NUMBER with: xxx
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_ROOT with: /var/lib
[2008-04-01 19:37:37] [debug]         replacing: PKI_SECURE_PORT with: 9443
[2008-04-01 19:37:37] [debug]         replacing: PKI_CFG_PATH_NAME with:
/var/lib/pki-ca1/conf/CS.cfg
[2008-04-01 19:37:37] [debug]         replacing: PKI_SUBSYSTEM_TYPE with: ca
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_ID with: pki-ca1
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_PATH with:
/var/lib/pki-ca1
[2008-04-01 19:37:37] [debug]         replacing: PKI_USER with: pkiuser
[2008-04-01 19:37:37] [debug]         replacing: PKI_MACHINE_NAME with:
ms-f8-1.usersys.redhat.com
[2008-04-01 19:37:37] [debug]         replacing: PKI_FLAVOR with: pki
[2008-04-01 19:37:37] [debug]         replacing: PKI_UNSECURE_PORT with: 9180
[2008-04-01 19:37:37] [debug]         replacing: PKI_CERT_DB_PASSWORD with: xxx
[2008-04-01 19:37:37] [debug]         replacing: INSTALL_TIME with: Tue Apr  1
19:37:37 2008
[2008-04-01 19:37:37] [debug]         replacing: PKI_GROUP with: pkiuser
[2008-04-01 19:37:37] [debug]     Converting
'/usr/share/pki/ca/setup/config.desktop' ==>
'/usr/share/applications/pki-ca1-config.desktop' ...
[2008-04-01 19:37:37] [debug]         replacing: PKI_SERVER_XML_CONF with:
/var/lib/pki-ca1/conf/server.xml
[2008-04-01 19:37:37] [debug]         replacing: TOMCAT_SERVER_PORT with: 1801
[2008-04-01 19:37:37] [debug]         replacing: PKI_RANDOM_NUMBER with: xxx
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_ROOT with: /var/lib
[2008-04-01 19:37:37] [debug]         replacing: PKI_SECURE_PORT with: 9443
[2008-04-01 19:37:37] [debug]         replacing: PKI_CFG_PATH_NAME with:
/var/lib/pki-ca1/conf/CS.cfg
[2008-04-01 19:37:37] [debug]         replacing: PKI_SUBSYSTEM_TYPE with: ca
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_ID with: pki-ca1
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_PATH with:
/var/lib/pki-ca1
[2008-04-01 19:37:37] [debug]         replacing: PKI_USER with: pkiuser
[2008-04-01 19:37:37] [debug]         replacing: PKI_MACHINE_NAME with: <some-host>
[2008-04-01 19:37:37] [debug]         replacing: PKI_FLAVOR with: pki
[2008-04-01 19:37:37] [debug]         replacing: PKI_UNSECURE_PORT with: 9180
[2008-04-01 19:37:37] [debug]         replacing: PKI_CERT_DB_PASSWORD with: xxx
[2008-04-01 19:37:37] [debug]         replacing: INSTALL_TIME with: Tue Apr  1
19:37:37 2008
[2008-04-01 19:37:37] [debug]         replacing: PKI_GROUP with: pkiuser
[2008-04-01 19:37:37] [debug]     Converting '/usr/share/pki/ca/conf/dtomcat5'
==> '/usr/bin/dtomcat5-pki-ca1' ...
[2008-04-01 19:37:37] [debug]         replacing: PKI_SERVER_XML_CONF with:
/var/lib/pki-ca1/conf/server.xml
[2008-04-01 19:37:37] [debug]         replacing: TOMCAT_SERVER_PORT with: 1801
[2008-04-01 19:37:37] [debug]         replacing: PKI_RANDOM_NUMBER with: xxx
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_ROOT with: /var/lib
[2008-04-01 19:37:37] [debug]         replacing: PKI_SECURE_PORT with: 9443
[2008-04-01 19:37:37] [debug]         replacing: PKI_CFG_PATH_NAME with:
/var/lib/pki-ca1/conf/CS.cfg
[2008-04-01 19:37:37] [debug]         replacing: PKI_SUBSYSTEM_TYPE with: ca
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_ID with: pki-ca1
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_PATH with:
/var/lib/pki-ca1
[2008-04-01 19:37:37] [debug]         replacing: PKI_USER with: pkiuser
[2008-04-01 19:37:37] [debug]         replacing: PKI_MACHINE_NAME with: <some-host>
[2008-04-01 19:37:37] [debug]         replacing: PKI_FLAVOR with: pki
[2008-04-01 19:37:37] [debug]         replacing: PKI_UNSECURE_PORT with: 9180
[2008-04-01 19:37:37] [debug]         replacing: PKI_CERT_DB_PASSWORD with:
841552499212
[2008-04-01 19:37:37] [debug]         replacing: INSTALL_TIME with: Tue Apr  1
19:37:37 2008
[2008-04-01 19:37:37] [debug]         replacing: PKI_GROUP with: pkiuser
[2008-04-01 19:37:37] [debug]     Converting
'/usr/share/pki/ca/webapps/ROOT/index.html' ==>
'/var/lib/pki-ca1/webapps/ROOT/index.html' ...
[2008-04-01 19:37:37] [debug]         replacing: PKI_SERVER_XML_CONF with:
/var/lib/pki-ca1/conf/server.xml
[2008-04-01 19:37:37] [debug]         replacing: TOMCAT_SERVER_PORT with: 1801
[2008-04-01 19:37:37] [debug]         replacing: PKI_RANDOM_NUMBER with: xxx
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_ROOT with: /var/lib
[2008-04-01 19:37:37] [debug]         replacing: PKI_SECURE_PORT with: 9443
[2008-04-01 19:37:37] [debug]         replacing: PKI_CFG_PATH_NAME with:
/var/lib/pki-ca1/conf/CS.cfg
[2008-04-01 19:37:37] [debug]         replacing: PKI_SUBSYSTEM_TYPE with: ca
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_ID with: pki-ca1
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_PATH with:
/var/lib/pki-ca1
[2008-04-01 19:37:37] [debug]         replacing: PKI_USER with: pkiuser
[2008-04-01 19:37:37] [debug]         replacing: PKI_MACHINE_NAME with: <some-host>
[2008-04-01 19:37:37] [debug]         replacing: PKI_FLAVOR with: pki
[2008-04-01 19:37:37] [debug]         replacing: PKI_UNSECURE_PORT with: 9180
[2008-04-01 19:37:37] [debug]         replacing: PKI_CERT_DB_PASSWORD with: xxx
[2008-04-01 19:37:37] [debug]         replacing: INSTALL_TIME with: Tue Apr  1
19:37:37 2008
[2008-04-01 19:37:37] [debug]         replacing: PKI_GROUP with: pkiuser
[2008-04-01 19:37:37] [debug]     Converting '/usr/share/pki/ca/conf/server.xml'
==> '/var/lib/pki-ca1/conf/server.xml' ...
[2008-04-01 19:37:37] [debug]         replacing: PKI_SERVER_XML_CONF with:
/var/lib/pki-ca1/conf/server.xml
[2008-04-01 19:37:37] [debug]         replacing: TOMCAT_SERVER_PORT with: 1801
[2008-04-01 19:37:37] [debug]         replacing: PKI_RANDOM_NUMBER with: xxx
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_ROOT with: /var/lib
[2008-04-01 19:37:37] [debug]         replacing: PKI_SECURE_PORT with: 9443
[2008-04-01 19:37:37] [debug]         replacing: PKI_CFG_PATH_NAME with:
/var/lib/pki-ca1/conf/CS.cfg
[2008-04-01 19:37:37] [debug]         replacing: PKI_SUBSYSTEM_TYPE with: ca
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_ID with: pki-ca1
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_PATH with:
/var/lib/pki-ca1
[2008-04-01 19:37:37] [debug]         replacing: PKI_USER with: pkiuser
[2008-04-01 19:37:37] [debug]         replacing: PKI_MACHINE_NAME with: <some-host>
[2008-04-01 19:37:37] [debug]         replacing: PKI_FLAVOR with: pki
[2008-04-01 19:37:37] [debug]         replacing: PKI_UNSECURE_PORT with: 9180
[2008-04-01 19:37:37] [debug]         replacing: PKI_CERT_DB_PASSWORD with: xxx
[2008-04-01 19:37:37] [debug]         replacing: INSTALL_TIME with: Tue Apr  1
19:37:37 2008
[2008-04-01 19:37:37] [debug]         replacing: PKI_GROUP with: pkiuser
[2008-04-01 19:37:37] [debug]     Converting
'/usr/share/pki/ca/conf/serverCertNick.conf' ==>
'/var/lib/pki-ca1/conf/serverCertNick.conf' ...
[2008-04-01 19:37:37] [debug]         replacing: PKI_SERVER_XML_CONF with:
/var/lib/pki-ca1/conf/server.xml
[2008-04-01 19:37:37] [debug]         replacing: TOMCAT_SERVER_PORT with: 1801
[2008-04-01 19:37:37] [debug]         replacing: PKI_RANDOM_NUMBER with: xxx
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_ROOT with: /var/lib
[2008-04-01 19:37:37] [debug]         replacing: PKI_SECURE_PORT with: 9443
[2008-04-01 19:37:37] [debug]         replacing: PKI_CFG_PATH_NAME with:
/var/lib/pki-ca1/conf/CS.cfg
[2008-04-01 19:37:37] [debug]         replacing: PKI_SUBSYSTEM_TYPE with: ca
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_ID with: pki-ca1
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_PATH with:
/var/lib/pki-ca1
[2008-04-01 19:37:37] [debug]         replacing: PKI_USER with: pkiuser
[2008-04-01 19:37:37] [debug]         replacing: PKI_MACHINE_NAME with: <some-host>
[2008-04-01 19:37:37] [debug]         replacing: PKI_FLAVOR with: pki
[2008-04-01 19:37:37] [debug]         replacing: PKI_UNSECURE_PORT with: 9180
[2008-04-01 19:37:37] [debug]         replacing: PKI_CERT_DB_PASSWORD with: xxx
[2008-04-01 19:37:37] [debug]         replacing: INSTALL_TIME with: Tue Apr  1
19:37:37 2008
[2008-04-01 19:37:37] [debug]         replacing: PKI_GROUP with: pkiuser
[2008-04-01 19:37:37] [debug]     Converting
'/usr/share/pki/ca/conf/tomcat5.conf' ==> '/var/lib/pki-ca1/conf/tomcat5.conf' ...
[2008-04-01 19:37:37] [debug]         replacing: PKI_SERVER_XML_CONF with:
/var/lib/pki-ca1/conf/server.xml
[2008-04-01 19:37:37] [debug]         replacing: TOMCAT_SERVER_PORT with: 1801
[2008-04-01 19:37:37] [debug]         replacing: PKI_RANDOM_NUMBER with: xxx
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_ROOT with: /var/lib
[2008-04-01 19:37:37] [debug]         replacing: PKI_SECURE_PORT with: 9443
[2008-04-01 19:37:37] [debug]         replacing: PKI_CFG_PATH_NAME with:
/var/lib/pki-ca1/conf/CS.cfg
[2008-04-01 19:37:37] [debug]         replacing: PKI_SUBSYSTEM_TYPE with: ca
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_ID with: pki-ca1
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_PATH with:
/var/lib/pki-ca1
[2008-04-01 19:37:37] [debug]         replacing: PKI_USER with: pkiuser
[2008-04-01 19:37:37] [debug]         replacing: PKI_MACHINE_NAME with: <some-host>
[2008-04-01 19:37:37] [debug]         replacing: PKI_FLAVOR with: pki
[2008-04-01 19:37:37] [debug]         replacing: PKI_UNSECURE_PORT with: 9180
[2008-04-01 19:37:37] [debug]         replacing: PKI_CERT_DB_PASSWORD with: xxx
[2008-04-01 19:37:37] [debug]         replacing: INSTALL_TIME with: Tue Apr  1
19:37:37 2008
[2008-04-01 19:37:37] [debug]         replacing: PKI_GROUP with: pkiuser
[2008-04-01 19:37:37] [debug]     Converting
'/usr/share/pki/ca/webapps/ca/WEB-INF/velocity.properties' ==>
'/var/lib/pki-ca1/webapps/ca/WEB-INF/velocity.properties' ...
[2008-04-01 19:37:37] [debug]         replacing: PKI_SERVER_XML_CONF with:
/var/lib/pki-ca1/conf/server.xml
[2008-04-01 19:37:37] [debug]         replacing: TOMCAT_SERVER_PORT with: 1801
[2008-04-01 19:37:37] [debug]         replacing: PKI_RANDOM_NUMBER with: xxx
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_ROOT with: /var/lib
[2008-04-01 19:37:37] [debug]         replacing: PKI_SECURE_PORT with: 9443
[2008-04-01 19:37:37] [debug]         replacing: PKI_CFG_PATH_NAME with:
/var/lib/pki-ca1/conf/CS.cfg
[2008-04-01 19:37:37] [debug]         replacing: PKI_SUBSYSTEM_TYPE with: ca
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_ID with: pki-ca1
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_PATH with:
/var/lib/pki-ca1
[2008-04-01 19:37:37] [debug]         replacing: PKI_USER with: pkiuser
[2008-04-01 19:37:37] [debug]         replacing: PKI_MACHINE_NAME with: <some-host>
[2008-04-01 19:37:37] [debug]         replacing: PKI_FLAVOR with: pki
[2008-04-01 19:37:37] [debug]         replacing: PKI_UNSECURE_PORT with: 9180
[2008-04-01 19:37:37] [debug]         replacing: PKI_CERT_DB_PASSWORD with: xxx
[2008-04-01 19:37:37] [debug]         replacing: INSTALL_TIME with: Tue Apr  1
19:37:37 2008
[2008-04-01 19:37:37] [debug]         replacing: PKI_GROUP with: pkiuser
[2008-04-01 19:37:37] [debug]     Converting
'/usr/share/pki/ca/webapps/ca/WEB-INF/web.xml' ==>
'/var/lib/pki-ca1/webapps/ca/WEB-INF/web.xml' ...
[2008-04-01 19:37:37] [debug]         replacing: PKI_SERVER_XML_CONF with:
/var/lib/pki-ca1/conf/server.xml
[2008-04-01 19:37:37] [debug]         replacing: TOMCAT_SERVER_PORT with: 1801
[2008-04-01 19:37:37] [debug]         replacing: PKI_RANDOM_NUMBER with: xxx
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_ROOT with: /var/lib
[2008-04-01 19:37:37] [debug]         replacing: PKI_SECURE_PORT with: 9443
[2008-04-01 19:37:37] [debug]         replacing: PKI_CFG_PATH_NAME with:
/var/lib/pki-ca1/conf/CS.cfg
[2008-04-01 19:37:37] [debug]         replacing: PKI_SUBSYSTEM_TYPE with: ca
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_ID with: pki-ca1
[2008-04-01 19:37:37] [debug]         replacing: PKI_INSTANCE_PATH with:
/var/lib/pki-ca1
[2008-04-01 19:37:37] [debug]         replacing: PKI_USER with: pkiuser
[2008-04-01 19:37:37] [debug]         replacing: PKI_MACHINE_NAME with: <some-host>
[2008-04-01 19:37:37] [debug]         replacing: PKI_FLAVOR with: pki
[2008-04-01 19:37:37] [debug]         replacing: PKI_UNSECURE_PORT with: 9180
[2008-04-01 19:37:37] [debug]         replacing: PKI_CERT_DB_PASSWORD with: xxx
[2008-04-01 19:37:37] [debug]         replacing: INSTALL_TIME with: Tue Apr  1
19:37:37 2008
[2008-04-01 19:37:37] [debug]         replacing: PKI_GROUP with: pkiuser
[2008-04-01 19:37:37] [debug] Processing PKI files and symbolic links for
'/var/lib/pki-ca1' ...
[2008-04-01 19:37:38] [debug] Processing PKI security databases for
'/var/lib/pki-ca1' ...
[2008-04-01 19:37:38] [debug] Processing PKI security modules for
'/var/lib/pki-ca1' ...
[2008-04-01 19:37:38] [debug]     Attempting to add hardware security modules to
system if applicable ...
[2008-04-01 19:37:38] [debug]         module name: lunasa  lib:
/usr/lunasa/lib/libCryptoki2.so DOES NOT EXIST!
[2008-04-01 19:37:38] [debug]         module name: nfast  lib:
/opt/nfast/toolkits/pkcs11/libcknfast.so DOES NOT EXIST!

PKI instance creation completed ...

Starting pki-ca1: /usr/bin/rebuild-jar-repository: error: Could not find servlet
Java extension for this JVM
/usr/bin/rebuild-jar-repository: error: Some detected jars were not found for
this jvm
                                                           [  OK  ]

PKI service(s) are available at https://<some-host>:9443

Server can be operated with /etc/init.d/pki-ca1 start | stop | restart

Please start the configuration by accessing:
http://<some-host>:9180/ca/admin/console/config/login?pin=xxx


Expected results:


Additional info:

cat /var/lib/pki-ca1/logs/catalina.out
Apr 1, 2008 7:37:41 PM org.apache.tomcat.util.digester.Digester startElement
SEVERE: Begin event threw error
java.lang.NoClassDefFoundError: javax/servlet/http/HttpServletRequest
        at java.lang.ClassLoader.defineClass1(Native Method)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:638)
        at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:143)
        at java.net.URLClassLoader.defineClass(URLClassLoader.java:281)
        at java.net.URLClassLoader.access$000(URLClassLoader.java:74)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:216)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:209)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:324)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:269)
        at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:337)
        at java.lang.Class.getDeclaredMethods0(Native Method)
        at java.lang.Class.privateGetDeclaredMethods(Class.java:2445)
        at java.lang.Class.privateGetPublicMethods(Class.java:2565)
        at java.lang.Class.getMethods(Class.java:1428)
        at
org.apache.tomcat.util.IntrospectionUtils.findMethods(IntrospectionUtils.java:812)
        at
org.apache.tomcat.util.IntrospectionUtils.setProperty(IntrospectionUtils.java:268)
        at
org.apache.catalina.startup.SetAllPropertiesRule.begin(SetAllPropertiesRule.java:59)
        at org.apache.tomcat.util.digester.Digester.startElement(Digester.java:1276)
        at org.apache.xerces.parsers.AbstractSAXParser.startElement(Unknown Source)
        at
org.apache.xerces.parsers.AbstractXMLDocumentParser.emptyElement(Unknown Source)
        at
org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanStartElement(Unknown
Source)
        at
org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(Unknown
Source)
        at
org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown Source)
        at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
        at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
        at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
        at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
        at org.apache.xerces.jaxp.SAXParserImpl$JAXPSAXParser.parse(Unknown Source)
        at org.apache.tomcat.util.digester.Digester.parse(Digester.java:1562)
        at org.apache.catalina.startup.Catalina.load(Catalina.java:490)
        at org.apache.catalina.startup.Catalina.load(Catalina.java:524)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:623)
        at org.apache.catalina.startup.Bootstrap.load(Bootstrap.java:267)
        at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:432)
Caused by: java.lang.ClassNotFoundException: javax.servlet.http.HttpServletRequest
        at java.net.URLClassLoader$1.run(URLClassLoader.java:221)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:209)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:324)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:269)
        at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:337)
        ... 38 more
java.lang.reflect.InvocationTargetException
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:623)
        at org.apache.catalina.startup.Bootstrap.load(Bootstrap.java:267)
        at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:432)
Caused by: java.lang.NoClassDefFoundError: javax/servlet/http/HttpServletRequest
        at java.lang.ClassLoader.defineClass1(Native Method)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:638)
        at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:143)
        at java.net.URLClassLoader.defineClass(URLClassLoader.java:281)
        at java.net.URLClassLoader.access$000(URLClassLoader.java:74)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:216)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:209)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:324)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:269)
        at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:337)
        at java.lang.Class.getDeclaredMethods0(Native Method)
        at java.lang.Class.privateGetDeclaredMethods(Class.java:2445)
        at java.lang.Class.privateGetPublicMethods(Class.java:2565)
        at java.lang.Class.getMethods(Class.java:1428)
        at
org.apache.tomcat.util.IntrospectionUtils.findMethods(IntrospectionUtils.java:812)
        at
org.apache.tomcat.util.IntrospectionUtils.setProperty(IntrospectionUtils.java:268)
        at
org.apache.catalina.startup.SetAllPropertiesRule.begin(SetAllPropertiesRule.java:59)
        at org.apache.tomcat.util.digester.Digester.startElement(Digester.java:1276)
        at org.apache.xerces.parsers.AbstractSAXParser.startElement(Unknown Source)
        at
org.apache.xerces.parsers.AbstractXMLDocumentParser.emptyElement(Unknown Source)
        at
org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanStartElement(Unknown
Source)
        at
org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(Unknown
Source)
        at
org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown Source)
        at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
        at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
        at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
        at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
        at org.apache.xerces.jaxp.SAXParserImpl$JAXPSAXParser.parse(Unknown Source)
        at org.apache.tomcat.util.digester.Digester.parse(Digester.java:1562)
        at org.apache.catalina.startup.Catalina.load(Catalina.java:490)
        at org.apache.catalina.startup.Catalina.load(Catalina.java:524)
        ... 6 more
Caused by: java.lang.ClassNotFoundException: javax.servlet.http.HttpServletRequest
        at java.net.URLClassLoader$1.run(URLClassLoader.java:221)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:209)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:324)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:269)
        at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:337)
        ... 38 more
Comment 1 Matthew Harmsen 2008-04-02 12:42:07 EDT
Based upon the error shown in "/var/lib/pki-ca1/logs/catalina.out", it was
discovered that the missing class "javax/servlet/http/HttpServletRequest" was
located in the file "/usr/share/java/servlet.jar".

On the Fedora 8 platform, the file "/usr/share/java/servlet.jar" is actually a
symbolic link to "/etc/alternatives/servlet" which when configured as required
for Dogtag Certificate System is itself a symbolic link to
"/usr/share/java/tomcat5-servlet-2.4-api.jar".

Upon sharing this information with the user, the user discovered that the
"/usr/share/java/servlet.jar" symbolic link was broken, and was able to fix the
problem by typing "ln -s /etc/alternatives/servlet /usr/share/java/servlet.jar".
Comment 2 Matthew Harmsen 2008-04-02 14:21:37 EDT
Documented this issue in the Dogtag Wiki under PKI_Known_Issues: Problems and
Solutions.
Comment 3 Chandrasekar Kannan 2008-08-26 20:28:04 EDT
Bug already MODIFIED. setting target CS8.0 and marking screened+
Comment 4 Kashyap Chamarthy 2009-06-13 11:09:08 EDT
Verified. on RHEL5.3, June 10th build. with pkicreate, instances are created fine, without any errors mentioned in the bug.

Note You need to log in before you can comment on or make changes to this bug.